> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Compliance Checklist for User

> Get Compliance Checklist for User



## OpenAPI

````yaml /api-reference/openapi.json get /v1/companies/{company-id}/users/{user-id}/compliance_documents/checklist
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/companies/{company-id}/users/{user-id}/compliance_documents/checklist:
    parameters:
      - schema:
          type: string
          format: uuid
        name: company-id
        in: path
        required: true
        description: Company ID
      - schema:
          type: string
          format: uuid
        name: user-id
        in: path
        required: true
        description: User ID
    get:
      tags:
        - ComplianceDocuments
      summary: Get Compliance Checklist for User
      description: Get Compliance Checklist for User
      operationId: get-user-compliance-checklist
      parameters:
        - $ref: '#/components/parameters/Accept-Language'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        compliance_document_type:
                          $ref: >-
                            #/components/schemas/ComplianceDocumentType-Read-Nested
                        compliance_document:
                          nullable: true
                          allOf:
                            - $ref: >-
                                #/components/schemas/ComplianceDocument-Read-Nested
                required:
                  - data
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '403':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
  schemas:
    ComplianceDocumentType-Read-Nested:
      title: ComplianceDocumentType-Read-Nested
      x-stoplight:
        id: k7m2xpqr9w4nf
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: v3h8yjzl5t1qb
          required:
            - name
            - field_type
            - has_expiration
            - dispatch_gating
            - required_vendors
            - required_internal_drivers
            - required_shared_drivers
            - required_equipment
          properties:
            name:
              type: string
              x-stoplight:
                id: r4n6wkf8j2m1x
              description: Display name of the document type
            external_id:
              type: string
              x-stoplight:
                id: p9c3qvh7e5s2y
              description: External identifier for integration with external systems
              nullable: true
            field_type:
              type: string
              x-stoplight:
                id: w1d5bnm4g8t6z
              enum:
                - none
                - string
                - number
                - date
                - boolean
              description: Type of custom value field
            has_expiration:
              type: boolean
              x-stoplight:
                id: a2f7xlj3k9u0c
              description: Whether this type has an expiration date
            dispatch_gating:
              type: boolean
              x-stoplight:
                id: b6g1yre8n4v5d
              description: Whether expired/missing docs trigger dispatch warnings
            required_vendors:
              type: boolean
              x-stoplight:
                id: e8h3zsp2q7w6f
              description: Whether vendors must have this document
            required_internal_drivers:
              type: boolean
              x-stoplight:
                id: f5j9atm1r0x8g
              description: Whether internal company drivers must have this document
            required_shared_drivers:
              type: boolean
              x-stoplight:
                id: h0k4bun6s3y2i
              description: Whether shared/vendor drivers must have this document
            required_equipment:
              type: boolean
              x-stoplight:
                id: j7l8cvp5t2z9m
              description: Whether equipment must have this document
    ComplianceDocument-Read-Nested:
      title: ComplianceDocument-Read-Nested
      x-stoplight:
        id: n3q5dwg8m1r7k
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: t6u2fxh9p4s0l
          required:
            - compliant_type
            - compliant_id
          properties:
            compliant_type:
              type: string
              x-stoplight:
                id: c8v1gyi3q5w7n
              enum:
                - Account
                - User
                - Equipment
              description: Type of entity this document belongs to
            compliant_id:
              type: string
              x-stoplight:
                id: d2x4hzj6r8a0p
              format: uuid
              description: ID of the entity this document belongs to
            value:
              type: string
              x-stoplight:
                id: e9y7iak5s1b3q
              nullable: true
              description: Custom value for this document
            expires_at:
              type: string
              x-stoplight:
                id: f0z8jbl4t2c6r
              format: date-time
              nullable: true
              description: Expiration date of the document
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
  responses:
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````